### codeanticode.glgraphics

# Class GLSLShaderAttribute

- `GLSLShaderVariable`
- - `codeanticode.glgraphics.GLSLShaderAttribute`

`public class GLSLShaderAttribute`
`extends GLSLShaderVariable`

This class stores the attribute variable of a GLSL shader.

  ## Constructor Summary
  `GLSLShaderAttribute(PApplet parent, GLSLShader shader, String name, String label, int type)` Creates an instance of GLSLShaderUniform using the specified parameters.
  `GLSLShaderAttribute(PApplet parent, String name, String label, int type)` Creates an instance of GLSLShaderAttribute using the specified parameters.

  ## Method Summary
  `void` | `disableVertexAttribArray()`
  `void` | `enableVertexAttribArray()`
  `void` | `genID()`
  `void` | `setAttribArrayPointer(int size, boolean normalized, int fist)`
  `void` | `setAttribute()` Copies the parameter value to the GPU.

## Constructor Details

### GLSLShaderAttribute

    public GLSLShaderAttribute(PApplet parent,
                               GLSLShader shader,
                               String name,
                               String label,
                               int type)

> Creates an instance of GLSLShaderUniform using the specified parameters.
> Parameters:
>   `parent` - PApplet
>   `shader` - GLSLShader
>   `name` - String
>   `label` - String
>   `type` - int

### GLSLShaderAttribute

    public GLSLShaderAttribute(PApplet parent,
                               String name,
                               String label,
                               int type)

> Creates an instance of GLSLShaderAttribute using the specified parameters. The shader is set to null.
> Parameters:
>   `parent` - PApplet
>   `name` - String
>   `label` - String
>   `type` - int

## Method Details

### disableVertexAttribArray

    public void disableVertexAttribArray()

### enableVertexAttribArray

    public void enableVertexAttribArray()

### genID

    public void genID()

### setAttribArrayPointer

    public void setAttribArrayPointer(int size,
                                      boolean normalized,
                                      int fist)

### setAttribute

    public void setAttribute()

> Copies the parameter value to the GPU.

processing library glgraphics by Andres Colubri. (c) 2008